Kerbal Space Program - Bug #19435

Resolution is changing when launching a vessel
07/23/2018 11:19 PM - dtondo

Status: Need More Info Start date: 07/23/2018
Severity: Low % Done: 0%
Assignee:

Category: Camera

Target version:

Version: 1.4.4 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Hi since version 1.4 sometimes the screen resolution changes from 1280x720 to 1920x1080.
My windows desktop in on 1920x1080, but | use 1280x720 because of graphics speed.
Occasionally, with no reason, when I'm going to launch a vessel it changes the resolution. This is bad because in 1920x1080 all

controls became small and it demands more of my graphical card. this issue does not encourage me to keep playing sometimes
because | need to quit to the game menu, change the resolution and back to the game my save...

History

#1 - 07/24/2018 08:54 AM - diomedea
One thing that immediately shows with your game, you have add-ons installed. But the saves won't show all add-ons.
Using your savegame without add-ons doesn't bring up any resolution change on my side.

One other thing that could influence reproducibility of the issue is the graphic settings you use. Perhaps it could be eventually found which ones to
use, but would take time/luck to get those right.

A third thing to consider is your HW and system specifics (e.g. make/model of the graphics card, graphics mode used, DirectX version). Those all
would be listed in a output_log.txt; but in some cases a deeper investigation using DXDiag (diagnostic program) may be required.

Final thing, reproducibility may require to perform a specific set of steps. It is a lot easier if who reports the issue also provides:
- a specific starting situation (savegame)
- a sequence of steps from the starting situation, such to bring (with a high degree of probability) to repetition of the issue

So, to address this issue, you have to provide a few items:

- settings.txt file (from KSP root folder);

- KSP.log (from KSP root folder, this shows all add-ons and items being loaded);

- output_log.txt (will be found in /Users/<username>/AppData/LocalLow/Squad/Kerbal Space Program unless you had it redirected by use of the Unity
logfile switch);

- starting situation;

- steps to reproduce.

Please note that the above should eventually bring to find the cause; but the issue will only be dealt with by Squad developers if can be recreated in a
pure stock install (no add-ons). If any add-on is found to be the cause, a request will have to be directed to the author(s) of that add-on for resolution.

#2 - 07/24/2018 09:16 AM - diomedea

- Status changed from New to Need More Info

#3 - 07/29/2018 01:53 AM - a52

- File settings.cfg added

- File KSP.log added

- File output_log.txt added

- Expansion deleted (Making History)

I've had this issue as well. | have a 4k monitor (I wish | didn't, nothing handles it properly), but | keep the resolution at 1920 x 1080 so | can actually
read the in-game text. However, whenever | change to controlling a vehicle, it reverts to my native 3000-something resolution. I've tested it, and it's
not just when | launch a vehicle, but also when | switch to controlling it from the ground/KSC or the Tracking Station. (Although it occasionally doesn't
happen from KSC -- | haven't been able to figure out if there are conditions to trigger that or if it's just luck, or if it will also occasionally happen from
the Launchpad or Tracking Station.)
Since this seems like a graphics/hardware issue, here are my specs:

Processor: Intel Core i7-7700HQ @ 2.80 GHz, 64 bit
RAM: 16 GB
OS: Windows 10 Home Version 1803 Build 17134.167

Resolution: 3840 x 2160
Primary GPU: NVIDIA GeForce GTX 1050 (should be the one KSP is running on)
Secondary GPU: Intel HD Graphics 630

I've attached settings.cfg, KSP.log, and output_log.txt.

#4 - 07/29/2018 07:22 AM - diomedea

ab2 wrote:

I've had this issue as well. | have a 4k monitor (I wish I didn't, nothing handles it properly), but | keep the resolution at 1920 x 1080 so | can
actually read the in-game text. However, whenever | change to controlling a vehicle, it reverts to my native 3000-something resolution. I've
tested it, and it's not just when I launch a vehicle, but also when | switch to controlling it from the ground/KSC or the Tracking Station. (Although
it occasionally doesn't happen from KSC -- | haven't been able to figure out if there are conditions to trigger that or if it's just luck, or if it will also
occasionally happen from the Launchpad or Tracking Station.)

...(omissis)...

I've attached settings.cfg, KSP.log, and output_log.txt.

@ a52, many thanks for those info. Unfortunately this issue may be related to specific HW and system configuration, that being a reason few users
are seeing it (I can't). Nothing unusual in those files you attached either. | have a few more questions, if you could answer them would help to better
define why the issue is occurring.

1. Does the resolution change back to your settings (1920 x 1080) in any of KSP scenes? E.g., as you wrote resolution to be changing entering flight
(scene), does it change back by e.g. exiting to KSC, going to Tracking Station, switching to Map mode, exiting the game (back to MainMenu), entering
IVA, going EVA with a Kerbal, switching vessels?

2. Does the issue still occur in Windowed mode, or only does in FullScreen? (KSP Settings/Graphics/Video)

3. Can see your graphics uses Direct3D 9.0c; can you report if the issue still occurs on other graphics modes? (other supported modes are DX11 and
OpenGL; can be set adding the relevant switch at the end of the command line that starts KSP. As | see you use Steam, that means to: right click on
KSP in Steam Library, select properties, General tab, click "Set launch options" and add the switch in the box: "-force-d3d11" or "-force-glcore".

4. Is there any other application that could be managing graphics settings in background on your system? E.g., one test I'd perform if | could see the
issue, is disabling everything in Nvidia Control Panel, under 3D settings/Program settings, about KSP. However | don't see a specific setting allowing
it to change resolution, but something relevant may exist with your system.

#5 - 07/29/2018 11:43 PM - a52

Before anything else, | should mention that the issue occurs when the screen is black and the little loading icon appears at the bottom right. The icon
appears, the animation freezes, then the icon shrinks (ie the resolution changes), and the rocket loads.

diomedea wrote:
1. Does the resolution change back to your settings (1920 x 1080) in any of KSP scenes? E.g., as you wrote resolution to be changing entering
flight (scene), does it change back by e.g. exiting to KSC, going to Tracking Station, switching to Map mode, exiting the game (back to
MainMenu), entering IVA, going EVA with a Kerbal, switching vessels?

Nope, once it switches to native, it stays there, and | have to quit the game to the main menu and adjust the resolution again to get it to go back.

It appears that once you exit the game to the menu, any ships that are in orbit will no longer cause the resolution to change when switched to -- it sort
of stabilizes.

This makes it impossible for me to test any of those other conditions, because for most of them | need to be focused on a ship for them to work, with
the resolution non-native but unstable. Either | launched those ships this session, and the resolution has already switched back to native, or | loaded
them back up (either via quicksave or Tracking Station) after quitting the session and changing my resolution back, and it's now impossible to tell
whether they're just not switching because the resolution has "stabilized".
I'm sure that behavior on its own should help, though.

2. Does the issue still occur in Windowed mode, or only does in FullScreen? (KSP Settings/Graphics/Video)
Upon switching to Windowed mode, the resolution changes back to native (or similar), although this may be intended. When | change the resolution in

Windowed mode, the whole window shrinks to maintain a 1:1 pixel ratio (ie, 1920 x 1080 p actually takes up 1920 pixels on the screen, rather than
stretching them across the whole screen). Again, this may be intended, but it means | can't use Windowed mode to make text readable.
Switching views in Windowed mode does not seem to trigger any resolution changes.

3. Can see your graphics uses Direct3D 9.0c; can you report if the issue still occurs on other graphics modes? (other supported modes are DX11
and OpenGL; can be set adding the relevant switch at the end of the command line that starts KSP. As | see you use Steam, that means to: right
click on KSP in Steam Library, select properties, General tab, click "Set launch options" and add the switch in the box: "-force-d3d11" or
"-force-glcore".

Force d3d11 behaves similarly, only now it happens almost whenever the loading icon appears, including when the world loads for the first time. This
makes testing almost impossible. It also made loading much slower, almost freezing the program. However, both behaviors continued after | disabled
it, so this effect was either coincidental or d3d11 further messed something up in the background that doesn't go away. (I checked output_log.txt to
make sure d3d11 wasn't still enabled, and it's gone back to Direct3D).

In OpenGL mode, once it finished the initial loading phase before the main menu, my screen was blank except for my cursor the first time | tried. | had
to use alt-f4 to get out. The second time, everything worked fine, running smoother and loading faster, until | tried to launch a ship, when my screen
again went black. The third time it again went black when it was supposed to show the main menu. The fourth was the same as the third, except
Windows marked it as non-responding. There was no sound whenever it went black.

After switching off of OpenGL mode, it no longer changed resolution when loading KSC, only when loading ships.

4. Is there any other application that could be managing graphics settings in background on your system? E.g., one test I'd perform if | could see
the issue, is disabling everything in Nvidia Control Panel, under 3D settings/Program settings, about KSP. However | don't see a specific setting
allowing it to change resolution, but something relevant may exist with your system.

GeForce Experience says that "Game can't be optimized" for KSP. In the Nvidia panel all but two settings were already disabled or set to "application
controlled", except for two, "Trilinear Optimization" and "Shader Cache". | thought that disabling "Shader Cache" fixed it, but there were a bunch of
other variables that made it really impossible to draw any serious conclusions from it. This is what happened:

- When | opened GeForce Experience | was forced to update my graphics drivers, potentially making any testing | had done useless

- I ran KSP with the Nvidia settings disabled and no resolution changes occurred upon loading ships, making me think that one of the settings fixed it.
- | restored the other setting to its default state while leaving "Shader Cache" disabled, and no resolution changes happened, making me think that
Shader Cache was the problem.

- As a control, | reenabled Shader Cache. No resolution changes occurred, and | remembered the driver update and believed that was the fix.

- | tabbed out while it was loading into a ship, and just as | did so it changed resolution, making me think that the driver update had only partially fixed
things, and it would revert to native resolution when you switched (which is reasonable, some other games have issues like that).

- | closed KSP and relaunched, and all the issues were back.

- Closed, re-disabled Shader Cache and Trilinear Optimization, problems still occurred.

In summary, I've spent an hour and a half testing this, and | have almost no information.

| have a single hunch, and that's that the resolution changes seemed to be paired with times the computer was struggling. When my frame rate was
lower, it seemed (note: unsure!) that it would switch resolution more often. And the longer it took to load, the more likely it was to change resolution. If
the program froze, it was almost guaranteed. This could explain why the patterns were so sporadic and unpredictable, as the load from background
tasks fluctuated, and why it almost always changed resolution when loading a ship, because it had to work harder.

Come to think of it, the times after disabling the Nvidia options, where resolution didn't change, | was loading a very small ship on an empty world.

But that's just a hunch, and | have really no qualitative data or tests to back it up. I'm not even sure if that pattern actually holds, and it could very well
be that the resolution changes (or whatever is causing them) could have been what was causing the drops in performance and not the other way
around.

#6 - 07/30/2018 07:43 AM - diomedea

ab2 wrote:

Before anything else, | should mention that the issue occurs when the screen is black and the little loading icon appears at the bottom right.
.... OMISSIS ....

Many thanks for all the effort and amount of info provided. Yes, doesn't seem conclusive, but still helps. Though there's no measure associated,
linking the issue to machine load could prove very useful; it almost could seem as, when there's a difficulty with initializing graphics, something reverts
back to native (probably in an effort to make things easier).

At one point reading about your tests, | came too to think about drivers not being updated. All those problems with other graphics modes can't be
considered normal (or at least, | know of no reason why other modes would give problems in Unity, which leaves me with the idea of a driver issue).

Would hope some more info will come about this issue. Quite probably will as 4K monitors become more common.

#7 - 10/20/2018 12:32 PM - LameLefty

| have encountered this same bug since the release of version 1.4. It seems worse/more common since the release of version 1.5. It does not occur
only with vessel loading. It can (and now often does) occur with every scene change. | typically play with a KSP resolution of 1920x1080. However,
my panel is a native 4K display and my Windows10 Desktop is set to that mode by default. | tried to compensate for this bug by setting my KSP
resolution to 4K, downgrading some of the graphics options to keep my framerate up, and then enabling Ul scaling to 200%. However, the Ul scaling
seems bugged as well, and often reverts back to 100% in-game once my Saves load, despite what is selected on the main menu Settings page.
The only effective work-around is to set my Windows Desktop resolution to 1920x1080 before launching KSP. Log files not attached because my
most-recent plays have been after lowering my Windows Desktop as noted above. However, searching the Bug Tracker for "resolution changes"

show this is not an unheard of issue.

Files

Carrer Mode NO LOAD.zip 4.36 MB 07/23/2018 dtondo

settings.cfg 29.9 KB 07/29/2018 ab2

KSP.log 355 KB 07/29/2018 ab2

output_log.txt 769 KB 07/29/2018 ab2
